List With Connection

List S3 bucket contents using the connection credentials

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_name_or_idstringRequired
The connection name or UUID

Request

This endpoint expects an object.
bucketstringRequired
The S3 bucket name
prefixstringRequired
The S3 prefix to list
max_keysintegerOptionalDefaults to 1000
Maximum number of keys to return
continuation_tokenstring or nullOptional
Token for paginating results

Response

Successful Response
bucketstring
The S3 bucket name
prefixstring
The S3 prefix that was listed
keyslist of strings
The list of object keys
common_prefixeslist of strings

Common prefixes (subdirectories)

continuation_tokenstring or null
Token for fetching the next page of results

Errors

422
Unprocessable Entity Error